Bug 99178 - [SKL/APL BAT] *ERROR* LSPCON resume failed
Summary: [SKL/APL BAT] *ERROR* LSPCON resume failed
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: All Linux (All)
: medium major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-22 09:41 UTC by Imre Deak
Modified: 2017-02-17 08:50 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, SKL
i915 features: display/LSPCON, power/suspend-resume


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Imre Deak 2016-12-22 09:41:37 UTC
LSPCON initialization still fails sometimes during system resume. The machine is an SKL-6770HQ, LSPCON is MegaChips with revisions HW-rev 2.1 SW-rev 1.29. The plan is to fix this by waiting with the intialization of the chip until it asserts HPD. 

[  205.411044] [drm:lspcon_resume [i915]] LSPCON recovering in PCON mode after 356 ms
[  205.411530] [drm:drm_dp_i2c_do_msg] native defer
[  205.412726] [drm:drm_dp_i2c_do_msg] native defer
[  205.413961] [drm:drm_dp_i2c_do_msg] native defer
[  205.415168] [drm:drm_dp_i2c_do_msg] native defer
[  205.416398] [drm:drm_dp_i2c_do_msg] native defer
[  205.417594] [drm:drm_dp_i2c_do_msg] native defer
[  205.418797] [drm:drm_dp_i2c_do_msg] native defer
[  205.419504] [drm:drm_dp_i2c_do_msg] too many retries, giving up
[  205.420002] [drm:drm_dp_i2c_do_msg] native defer
[  205.421198] [drm:drm_dp_i2c_do_msg] native defer
[  205.422418] [drm:drm_dp_i2c_do_msg] native defer
[  205.423622] [drm:drm_dp_i2c_do_msg] native defer
[  205.424817] [drm:drm_dp_i2c_do_msg] native defer
[  205.426014] [drm:drm_dp_i2c_do_msg] native defer
[  205.427225] [drm:drm_dp_i2c_do_msg] native defer
[  205.427930] [drm:drm_dp_i2c_do_msg] too many retries, giving up
[  205.427937] [drm:drm_lspcon_get_mode] *ERROR* LSPCON read(0x80, 0x41) failed
[  205.428000] [drm:lspcon_wait_mode [i915]] *ERROR* Error reading LSPCON mode
[  205.428055] [drm:lspcon_wait_mode [i915]] Current LSPCON mode INVALID
[  205.428553] [drm:drm_dp_i2c_do_msg] native defer
[  205.429750] [drm:drm_dp_i2c_do_msg] native defer
[  205.430961] [drm:drm_dp_i2c_do_msg] native defer
[  205.432158] [drm:drm_dp_i2c_do_msg] native defer
[  205.433350] [drm:drm_dp_i2c_do_msg] native defer
[  205.434564] [drm:drm_dp_i2c_do_msg] native defer
[  205.435762] [drm:drm_dp_i2c_do_msg] native defer
[  205.436468] [drm:drm_dp_i2c_do_msg] too many retries, giving up
[  205.436967] [drm:drm_dp_i2c_do_msg] native defer
[  205.438159] [drm:drm_dp_i2c_do_msg] native defer
[  205.439399] [drm:drm_dp_i2c_do_msg] native defer
[  205.440594] [drm:drm_dp_i2c_do_msg] native defer
[  205.441797] [drm:drm_dp_i2c_do_msg] native defer
[  205.443005] [drm:drm_dp_i2c_do_msg] native defer
[  205.444202] [drm:drm_dp_i2c_do_msg] native defer
[  205.444930] [drm:drm_dp_i2c_do_msg] too many retries, giving up
[  205.444936] [drm:drm_lspcon_get_mode] *ERROR* LSPCON read(0x80, 0x41) failed
[  205.445013] [drm:lspcon_change_mode.constprop.4 [i915]] *ERROR* Error reading LSPCON mode
[  205.445062] [drm:lspcon_resume [i915]] *ERROR* LSPCON resume failed
Comment 1 Imre Deak 2017-01-10 10:32:26 UTC
An APL notebook with a MegaChips HW-rev 2.1 SW-rev 1.39 also fails sporadically in the same way, planning to use the same HPD fix as in the SKL case.
Comment 2 yann 2017-01-27 09:55:53 UTC
Reference to Imre's patchset: https://patchwork.freedesktop.org/series/18656/
Comment 3 Imre Deak 2017-02-16 20:58:15 UTC
The bug didn't trigger for a while now in CI, assuming fixed with the patchset in comment 2.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.